<!DOCTYPE html>

<html lang="en">

<head>

    <meta charset="UTF-8" />

    <title>HTML5 semantic form elements</title>

    <style>
        .mandatory {

            color: red;

        }

        .light {

            color: gray;

        }

        .danger {

            color: red;

        }
    </style>

</head>

<body id="formContainer">

    <h1>HTML5 Form Elements: JS Objectives</h1>

    <ul>

        <li>Check for empty field</li>

        <li>Check for alpha (non numeric or special characters)</li>

        <li>Display proper message</li>

        <li>Display instruction</li>

    </ul>

    <form>

        <fieldset>

            <legend>JS on a single line text field</legend>

            <div>

                <label for="fullname">Full Name <span class="mandatory">*</span></label>

                <input type="text" id="fullname" value="" placeholder="Enter your full name" />

                <div id="message"></div>

                <span class="light">e.g. John Doe</span>

            </div>

            <div>

                <button type="button" id="btnValidateAndSubmit">Validate & Submit</button>

                <!-- use type submit and explain on how to block data sumission-->

            </div>

            <div><span class="mandatory">*</span> Fields are mandatory.</div>

        </fieldset>

    </form>

    <script src="single-text.js?a=12122"></script>

</body>

</html>